# Basic User Profile

## GetBasicUserProfiles

<mark style="color:blue;">`GET`</mark> `{{domain}}/api/v1/profile/basic/user`

Gets the list of basic user profiles

#### Query Parameters

| Name       | Type    | Description                                           |
| ---------- | ------- | ----------------------------------------------------- |
| keyword    | string  | Keyword for searching                                 |
| pageSize   | integer | Page size for pagination. Default value is set to 10  |
| pageNumber | integer | Page number for pagination. Default value is set to 1 |

{% tabs %}
{% tab title="200 " %}

```javascript
{
  "message": "200",
  "data": [
    {
      "sSoUSerId": "19fc484c-ea2b-4f67-aca6-0d85e4bd99a8",
      "address": "Ketu",
      "gender": "MALE",
      "dateOfBirth": "01/12/1992 00:00:00",
      "country": "Nigeria",
      "state": "Lagos",
      "organisationName": "Techmuncher Limited",
      "extendedProfile": null,
      "total": 5
    }
  ]
}
```

{% endtab %}
{% endtabs %}

## GetBasicUserProfileById

<mark style="color:blue;">`GET`</mark> `{{domain}}/api/v1/profile/basic/user`

Gets a single basic user profile by Id

#### Query Parameters

| Name | Type   | Description |
| ---- | ------ | ----------- |
| Id   | string | User Id     |

{% tabs %}
{% tab title="200 " %}

```javascript
{
  "message": "200",
  "data": {
    "sSoUSerId": "19fc484c-ea2b-4f67-aca6-0d85e4bd99a8",
    "address": "Ketu",
    "gender": "MALE",
    "dateOfBirth": "01/12/1992 00:00:00",
    "country": "Nigeria",
    "state": "Lagos",
    "organisationName": "Techmuncher Limited",
    "extendedProfile": null,
    "total": 0
  }
}
```

{% endtab %}
{% endtabs %}

## CreateBasicUserProfile

<mark style="color:green;">`POST`</mark> `{{domain}}/api/v1/profile/basic/user`

Creates a basic user profile\
\
`Gender description`\
`0 = Female,`\
`1 = Male`

#### Request Body

| Name | Type   | Description                                                                                                                                                                     |
| ---- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
|      | object | <p>{<br>"sSoUSerId": "string",<br>"address": "string",<br>"gender": 0,<br>"dateOfBirth": date,<br>"country" : "string",<br>"state": "string",<br>"organisationId": int<br>}</p> |

{% tabs %}
{% tab title="200 " %}

```javascript
{
  "message": "Ok",
  "isError": false
}
```

{% endtab %}
{% endtabs %}

## UpdateBasicUserProfile

<mark style="color:orange;">`PUT`</mark> `{{domain}}/api/v1/profile/basic/user`

Updates a basic user profile\
\
`Gender description`\
`0 = Female,`\
`1 = Male`

#### Request Body

| Name | Type   | Description                                                                                                                                                                     |
| ---- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
|      | object | <p>{<br>"sSoUSerId": "string",<br>"address": "string",<br>"gender": 0,<br>"dateOfBirth": date,<br>"country" : "string",<br>"state": "string",<br>"organisationId": int<br>}</p> |

{% tabs %}
{% tab title="200 " %}

```javascript
{
  "message": "Ok",
  "isError": false
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.venturegardengroup.com/central-onboarding/user-profile/basic-user-profile.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
